<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$id = $_GET['tecnico'];
			

			$productos = $ges->get_productos_tecnico_todos($id);
			$series = $ges->get_series($id);
			$tecnicos = $ges->get_tecnicos2($id);
			$trabajadores = $ges2->get_trabajadores();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/traspaso_tecnico_tecnico.phtml");
				
			}

			if(isset($_POST['TRASPASAR'])){


				$i = 0;
				$z = 0;
				foreach ($_POST['sku'] as $val){

					if(empty($_POST['serie'][$i]) || !isset($_POST['serie'][$i]) || $_POST['serie'][$i] == '' || $_POST['serie'][$i] == ' ' || $_POST['serie'][$i] == '0'){
						$serie = '';
					}else{
						$serie = $_POST['serie'][$i];
					}
					if($_POST['devolver'][$i] > 0){
						$resultado_final = $ges->update_stock_tecnico_l2($_POST['devolver'][$i],$_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$_POST['cantidad'][$i],8,'','');
						$validacion = $ges->get_validacion_producto_tecnico($_POST['sku'][$i],$_SESSION['id_asignacion'],$_POST['tecnicod']);
						if($validacion['total'] == 0){

							$resultado = $ges->set_nuevo_producto_tecnico($_POST['sku'][$i],$_SESSION['id_asignacion'],$_POST['tecnicod']);
							
						}
					
						$resultado_final2 = $ges->set_stock_tecnico2($_POST['devolver'][$i],$_POST['sku'][$i],$_SESSION['id_asignacion'],$_POST['tecnicod'],$serie,8,0,$id);
						//echo'<script type="text/javascript">alert("'.$resultado_final2.'");</script>';
						$z++;
					}

					$i = $i + 1;

				}
 
				
				if($z == 0){
					echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="traspaso_tecnico_tecnico.php?tecnico='.$id.'";</script>';
				}else{
					echo'<script type="text/javascript">alert("SE TRASPASÓ CORRECTAMENTE");window.location.href="traspaso_tecnico.php";</script>';
				}
				
				
			}


?>